Hero = Core.class(Sprite)

function Hero:init(px, py)
	local texture = Texture.new("gfx/hero/64_heroe.png")
	local textureregion = TextureRegion.new(texture, 0, 0, 64, 64)
	self.bmp = Bitmap.new(textureregion)
	self.x = px
	self.y = py
	self.vx = 0
	self.vy = 0
	self.isstanding = false
	self.isjumpready = true
	self.flip = false
	self.currentanimation = ""
	
	self.bmp:setAnchorPoint(0.5, 0.5)
	self:addChild(self.bmp)

	-- hero controls
	self.iskeyleft = false
	self.iskeyright = false
	self.iskeyup = false
	self.iskeydown = false

	self:addEventListener(Event.KEY_DOWN, self.onKeyDown, self)
	self:addEventListener(Event.KEY_UP, self.onKeyUp, self)
end

-- KEYS HANDLER
function Hero:onKeyDown(e)
	if e.keyCode == KeyCode.LEFT then self.iskeyleft = true end
	if e.keyCode == KeyCode.RIGHT then self.iskeyright = true end
	if e.keyCode == KeyCode.UP then self.iskeyup = true end
	if e.keyCode == KeyCode.DOWN then self.iskeydown = true end
	
	if e.keyCode == KeyCode.SPACE then
--		self:shoot()
	end
end

function Hero:onKeyUp(e)
	if e.keyCode == KeyCode.LEFT then self.iskeyleft = false end
	if e.keyCode == KeyCode.RIGHT then self.iskeyright = false end
	if e.keyCode == KeyCode.UP then self.iskeyup = false end
	if e.keyCode == KeyCode.DOWN then self.iskeydown = false end
end



